using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Grouping; 

namespace BindingArrayList
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl gridGroupingControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Button button2;
		private DataCollection dataSource;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			System.Drawing.Icon ico = new System.Drawing.Icon(Syncfusion.Windows.Forms.WinFormsUtils.FindFile("Icon", "sfgrid.ico"));
			this.Icon = ico ;			
			this.gridGroupingControl1.TableModel.Options.DefaultGridBorderStyle = Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid;
			this.gridGroupingControl1.TableModel.Properties.GridLineColor = System.Drawing.Color.Silver;	

			dataSource = new DataCollection();
			Address add = new Address("5th Avenue","Chennai");
			add.City = "Chennai";
			add.Street = "5th Avenue";
			dataSource.Add(new Data("1", "Condiments", "Sweets", "",add));
			dataSource.Add(new Data("2", "Confections", "Deserts and Candies", "",new Address("5th Avenue","Chennai")));
			dataSource.Add(new Data("3", "Grains/Cereals", "Breads, pasta and cereal", "",new Address("5th Avenue","Chennai")));
			dataSource.Add(new Data("4", "Meat/Poultry", "Prepared meats", "",new Address("5th Avenue","Chennai")));
			dataSource.Add(new Data("5", "Produce", "Dried fruit and bean curd", "",new Address("5th Avenue","Mumbai")));
			dataSource.Add(new Data("6", "Seafood", "Seeweed and fish", "",new Address("5th Avenue","Chennai")));

			this.gridGroupingControl1.DataSource = dataSource;

			this.gridGroupingControl1.ShowGroupDropArea = true;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gridGroupingControl1 = new Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl();
			this.button1 = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// gridGroupingControl1
			// 
			this.gridGroupingControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.gridGroupingControl1.BackColor = System.Drawing.SystemColors.Window;
			this.gridGroupingControl1.Location = new System.Drawing.Point(16, 56);
			this.gridGroupingControl1.Name = "gridGroupingControl1";
			this.gridGroupingControl1.Size = new System.Drawing.Size(624, 272);
			this.gridGroupingControl1.TabIndex = 0;
			this.gridGroupingControl1.Text = "gridGroupingControl1";
			this.gridGroupingControl1.VersionInfo = "4.201.0.37";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(40, 16);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(120, 24);
			this.button1.TabIndex = 1;
			this.button1.Text = "Filter";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(168, 16);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(128, 24);
			this.button2.TabIndex = 2;
			this.button2.Text = "sort";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(656, 342);
			this.Controls.Add(this.button2);
			this.Controls.Add(this.button1);
			this.Controls.Add(this.gridGroupingControl1);
			this.Name = "Form1";
			this.Text = "Custom Collection implementing IBindingList";
			((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			if(this.gridGroupingControl1.TableDescriptor.RecordFilters.Contains("CustomerID"))
                this.gridGroupingControl1.TableDescriptor.RecordFilters.Remove("CustomerID");
			this.gridGroupingControl1.TableDescriptor.RecordFilters.Add("CustomerID",FilterCompareOperator.Equals,"2");     
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			if(this.gridGroupingControl1.TableDescriptor.SortedColumns.Contains("CustomerName"))
			{
				this.gridGroupingControl1.TableDescriptor.SortedColumns.Remove("CustomerName");
			}
			this.gridGroupingControl1.TableDescriptor.SortedColumns.Add("CustomerName",ListSortDirection.Descending);     
			
		}
	}
}
